/* Copyright (C) Xi'an Sietium Electronics Co.Ltd */
/*
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __XT_H__
#define __XT_H__

#define CS_CFG_SIZE                       0x400000
#define CS_DDR_SIZE                       0x4000000

#define CS_S0_PCIE_DBI_BASE               0x0000000   //0
#define CS_S1_AUDIO_BASE                  0x0400000   //1
#define CS_IRQ_CTRL_BASE                  0x0403000
#define CS_S2_HDMAC_BASE                  0x0800000   //2
#define CS_S3_GPU_BASE                    0x0C00000   //3
#define CS_S4_DMA_BASE                    0x1000000   //4
#define CS_S5_VPU_DEC0_BASE               0x1400000   //5
#define CS_S6_VPU_DEC1_BASE               0x1800000   //6
#define CS_S7_VPU_ENC_BASE                0x1C00000   //7
#define CS_CNOC_S0_V2VDMA_BASE            0x2000000   //8
#define CS_CNOC_S1_PVT_BASE               0x2400000   //9
#define CS_CNOC_DNOC_DP_BASE              0x2800000   //10
#define CS_CNOC_DNOC_DP_STEP              0x400000
#define CS_CNOC_DNOC_DP_BASE_i(i) \
	(CS_CNOC_DNOC_DP_BASE + i * CS_CNOC_DNOC_DP_STEP)
#define CS_CNOC_DDR0CFG_PHY_BASE          0x0000000   //16
#define CS_CNOC_DDR0CFG_CTRL_BASE         0x2000000   //16
#define CS_CNOC_DDR0CFG_MISC_BASE         0x3000000   //16
#define CS_CNOC_DDR1CFG_PHY_BASE          0x4000000   //17
#define CS_CNOC_DDR1CFG_CTRL_BASE         0x6000000   //17
#define CS_CNOC_DDR1CFG_MISC_BASE         0x7000000   //17
#define CS_CNOC_DDR2CFG_PHY_BASE          0x8000000   //18
#define CS_CNOC_DDR2CFG_CTRL_BASE         0xA000000   //18
#define CS_CNOC_DDR2CFG_MISC_BASE         0xB000000   //18
#define CS_CNOC_DDR3CFG_PHY_BASE          0xC000000   //19
#define CS_CNOC_DDR3CFG_CTRL_BASE         0xE000000   //19
#define CS_CNOC_DDR3CFG_MISC_BASE         0xF000000   //19

#endif  /* __XTH__ */
