#ifndef __GB_OSL_H__
#define __GB_OSL_H__
#include <linux/version.h>
#if LINUX_VERSION_CODE > KERNEL_VERSION(5, 0, 0)
int gb_drm_gem_prime_fd_to_handle(struct drm_device *dev, struct drm_file *file_priv, int prime_fd, uint32_t *handle);
struct dma_buf *gb_drm_gem_prime_export(struct drm_gem_object *obj, int flags);
struct drm_gem_object *gb_drm_gem_prime_import(struct drm_device *dev, struct dma_buf *dma_buf);
#endif
int gb_drm_gem_prime_handle_to_fd(struct drm_device *dev, struct drm_file *file_priv, uint32_t handle, uint32_t flags, int *prime_fd);
#endif
