/*
 * Copyright (C) Xi'an Sietium Electronics Co.Ltd
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __GB02_HDMAC_H
#define __GB02_HDMAC_H
#include "common/gb_pcie_info.h"

//#define PCI_BAR_CNT	3
//#define BAR_LEN	PCI_BAR_CNT
#define HDMC_CFG_REG_BAR  0
#define HDMA_CFG_REG_BAR  1
#define HDMC_DMA_DDR_BAR  2
#define DW_AXI_DMA_VENDOR_ID 0x10ee
#define DW_AXI_DMA_DEVICE_ID 0x8018

//#define HDMAC_MULTI_PROCESS_TEST

//#define HDMAC_DBG
//#define HDMAC_MMU_DUMP
#ifdef HDMAC_DBG
#define hdmac_debug pr_err
#else
#define hdmac_debug(format, arg...) \
	do {} while (0)
#endif

struct hdmac_ctrl_info {
	void __iomem *vram_addr;
	void __iomem *regs;
	void __iomem *hdma_regs;
};
int gb_hdmac_init(struct gb_pcie_info *pcie_info);
#endif









