/* SPDX-License-Identifier: GPL-2.0-only */
#ifndef __PS8625_H
#define __PS8625_H
#include "i2c-gb02-mcu.h"

#define PS8625_BUS_ADDR  0x58
#define PS8625_BUS_ID  1
#define PS8625_DEVICE0_NAME "PS8625-0"
#ifdef CONFIG_MCU_I2C
int ps8625_driver_init(struct i2c_client *client);
void ps8625_remove(struct i2c_client *client);
#else
static inline int ps8625_driver_init(struct i2c_client *client)
{
	return 0;
}
static inline void ps8625_remove(struct i2c_client *client)
{
	return;
}
#endif
#endif
