/* SPDX-License-Identifier: GPL-2.0 */
#ifndef __UART_GB02_MCU_H
#define __UART_GB02_MCU_H
#include "gb-peripherals-common.h"

#ifdef CONFIG_MCU_UART
int gb02_mcu_uart_drv_init(struct gb_device *gb_dev, struct gb02_mcu_peripherals_info *peri_info);
void gb02_mcu_uart_drv_exit(struct gb02_mcu_peripherals_info *peri_info);
#else
static inline int gb02_mcu_uart_drv_init(struct gb_device *gb_dev, struct gb02_mcu_peripherals_info *peri_info)
{
	return 0;
}
static inline void gb02_mcu_uart_drv_exit(struct gb02_mcu_peripherals_info *peri_info)
{
	return;
}
#endif
#endif /* __UART_GB02_MCU_H */
