/* SPDX-License-Identifier: GPL-3.0-or-later */
/*
 * Copyright (C) Xi'an Sietium Electronics Co.Ltd
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * jessy 20221019 Sietium
 */

#ifndef __VPU_AFE_H__
#define __VPU_AFE_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <linux/ioctl.h>
#include <linux/types.h>

#define HANTRO_AXIFE_OFFSET                0
#define AXI_REG10_SW_FRONTEND_EN		(10 * 4) //0x28
#define AXI_REG11_SW_WORK_MODE			(11 * 4) //0x2c
void AXIFEEnable(volatile unsigned char *hwregs);

#ifdef __cplusplus
}
#endif

#endif





