/*
 * Copyright (C) Xi'an Sietium Electronics Co.Ltd
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
#ifndef __GB_SND_CODEC_H__
#define __GB_SND_CODEC_H__
#include <linux/platform_device.h>
#include "i2s_platform.h"

#define GB02MAC696	4
#define GB02MAC699	256
#define GB02MAC702	16000
#define GB02MAC703	48000
#define GB02MAC706	(4096)
#define GB02MAC709	(256)
#define GB02MAC711	(4096)
#define GB02MAC713	(32 * 1024)

#define GB02MAC718	(192 * 4)
#define GB02MAC720	32768
#define GB02MAC723	4

/* Sample index defination depends on IEC60958-3@1999 */
#define GB02MAC728                    1
#define GB02MAC731                   2
#define GB02MAC733                5
#define GB02MAC735               6
#define GB02MAC738                    41
#define GB02MAC741                   44
#define GB02MAC744   49
#define GB02MAC746  50
#define GB02MAC748   51
#define GB02MAC751  52
#define GB02MAC755   53
#define GB02MAC757  54
#define GB02MAC760   55
#define GB02MAC763  56
#define GB02MAC766   65
#define GB02MAC769  66
#define GB02MAC772         67
#define GB02MAC775        68
#define GB02MAC777         69
#define GB02MAC780        70
#define GB02MAC783         71
#define GB02MAC785        72

#define GB02MAC789                  26
#define GB02MAC793                   28
#define GB02MAC796                     384

int GB02FUNC489(struct device *dev);
void GB02FUNC284(int num, struct GB02STR86 *i2s_cinfo);
void GB02FUNC321(int dp_num, struct GB02STR86 *i2s_cinfo);
u32 GB02FUNC420(struct snd_pcm_runtime *runtime, u64 pos);
#ifdef AUDIO_SOUND_SWITCH_DIFF_A
int GB02FUNC371(struct snd_pcm_substream *substream, int cmd);
#endif
void GB02FUNC482(struct GB02STR83 *pcie_info);
#endif
