/**************************************************
* File name: sm2_cipher_error_codes.h
* Author: HAN Wei
* Author's blog: https://blog.csdn.net/henter/
* Date: Dec 9th, 2018
* Description: define error codes used in SM2
    computation functions
**************************************************/

#ifndef HEADER_ERROR_CODES_LIST_OF_SM2_CIPHER_H
  #define HEADER_ERROR_CODES_LIST_OF_SM2_CIPHER_H

#define GB02MAC2173     0x1000
#define GB02MAC2176         0x1001
#define GB02MAC2179     0x1002
#define GB02MAC2181      0x1003
#define GB02MAC2184       0x1004
#define GB02MAC2186   0x1005
#define GB02MAC2187        0x1006
#define GB02MAC2189    0x1007
#define GB02MAC2191      0x1008
#define GB02MAC2193  0x1009
#define GB02MAC2194         0x100a
#define GB02MAC2196       0x100b
#define GB02MAC2198             0x100c

#endif  /* end of HEADER_ERROR_CODES_LIST_OF_SM2_CIPHER_H */