/*
 * Copyright (C) Xi'an Sietium Electronics Co.Ltd
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#include <linux/module.h>
#include "common/gb_pcie_info.h"
#ifndef __GB_DEVICE_CTRL_H__
#define __GB_DEVICE_CTRL_H__



#define GPIO16_23 0x3082010
#define GPIO24_31 0x3083010

void gb_device_io_set(void *gpio_addr, u32 gpio_bit);
void gb_device_io_set(void *gpio_addr, u32 gpio_bit);
void HDMI_power_down(struct gb_pcie_info *gpi);
void HDMI_power_reset_all(struct gb_pcie_info *gpi);
void HDMI_power_reset(struct gb_pcie_info *gpi, int dp_index);

#endif