/* SPDX-License-Identifier: GPL-3.0-or-later */
/*
 * Copyright (C) Xi'an Sietium Electronics Co.Ltd
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * jessy 20221019 Sietium
 */

#ifndef __VPU_DWL_DEFS_H__
#define __VPU_DWL_DEFS_H__


#define GB02MAC334      31 /* 1 bit  */
#define GB02MAC335        29 /* 2 bits */
#define GB02MAC336       28 /* 1 bit  */
#define GB02MAC337      17 /* 1 bit  */
#define GB02MAC338        16 /* 1 bit  */
#define GB02MAC339      26 /* 2 bits */
#define GB02MAC340       24 /* 2 bits */
#define GB02MAC341 20 /* 1 bits */
#define GB02MAC342       18 /* 2 bits */
#define GB02MAC344        23 /* 1 bit  */
#define GB02MAC346         26 /* 2 bits */
#define GB02MAC348        23 /* 1 bit  */
#define GB02MAC350        24 /* 1 bit  */
#define GB02MAC352       19 /* 1 bit  */
#define GB02MAC354        22 /* 1 bit  */
#define GB02MAC356      16 /* 1 bit  */
#define GB02MAC358      31 /* 1 bit  */
#define GB02MAC359         31 /* 1 bit  */
#define GB02MAC361       26 /* 3 bits */
#define GB02MAC363        29 /* 3 bits */

#define GB02MAC366 31 /* 1 bit */
#define GB02MAC368 30 /* 1 bit */

#define GB02MAC372    0  /* 1 bits */
#define GB02MAC375     1  /* 1 bits */
#define GB02MAC378        2  /* 1 bits */
#define GB02MAC381        17  /* 2 bits */
#define GB02MAC384         3  /* 1 bits */
#define GB02MAC387         28  /* 3 bits */
#define GB02MAC390     8  /* 4 bits */
#define GB02MAC392  12 /* 3 bits */
#define GB02MAC395       16 /* 1 bits */

#define GB02MAC397       1
#define GB02MAC399   (GB02MAC397 * 4)
#define GB02MAC401       2
#define GB02MAC403   (GB02MAC397 * 4)

#define GB02MAC407        60
#define GB02MAC409    (GB02MAC407 * 4)
#define GB02MAC412          50
#define GB02MAC414      (GB02MAC412 * 4)
#define GB02MAC417        54
#define GB02MAC419    (GB02MAC417 * 4)
#define GB02MAC421        56
#define GB02MAC423    (GB02MAC421 * 4)
#define GB02MAC424           23
#define GB02MAC425       (GB02MAC424 * 4)
#define GB02MAC427         260
#define GB02MAC429     (GB02MAC427 * 4)


#define GB02MAC434              0x01
#define GB02MAC436               0x01
#define GB02MAC438          0x20
#define GB02MAC440    0x10
#define GB02MAC442            0x100

/* Legacy from G1 */
#define GB02MAC444          1
#define GB02MAC446      (GB02MAC444 * 4)
#define GB02MAC448           60
#define GB02MAC450       (GB02MAC448 * 4)

#define GB02MAC452           100
#define GB02MAC453       (GB02MAC452 * 4)
#define GB02MAC412          50
#define GB02MAC414      (GB02MAC412 * 4)
#define GB02MAC417        54
#define GB02MAC419    (GB02MAC417 * 4)

/* VC8000D HW build id */
#define GB02MAC456        309
#define GB02MAC457    (GB02MAC456 * 4)

#define GB02MAC459                 0x01
#define GB02MAC461                  0x01
#define GB02MAC463             0x20
#define GB02MAC465       0x10
#define GB02MAC466        0x10
#define GB02MAC467               0x100
#define GB02MAC468                0x100

#endif
